curl --request GET \
--url https://api.ropes.ai/api/public/results/{interviewId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.ropes.ai/api/public/results/{interviewId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ropes.ai/api/public/results/{interviewId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ropes.ai/api/public/results/{interviewId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ropes.ai/api/public/results/{interviewId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ropes.ai/api/public/results/{interviewId}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ropes.ai/api/public/results/{interviewId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"candidate_id": "<string>",
"interview_id": "<string>",
"score": 123,
"analysis": [
{
"key": "<string>",
"name": "<string>",
"score": 123,
"explanation": "<string>"
}
],
"completed_at": "2023-11-07T05:31:56Z",
"integrity_report": {
"risk": "low",
"explanation": "<string>",
"flags": [
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"level": "critical"
}
],
"passing_flags": [
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"level": "critical"
}
]
},
"completion_time_seconds": 123,
"problem_id": "<string>",
"settings": {
"external_resource_mode": "CLOSED",
"spoken_locale": "en"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Get Results
Get comprehensive results for a specific interview including analysis, score, and the integrity report. The integrity report contains the overall risk, an explanation, and the per-check integrity flags (findings and passing checks) shown in the results Integrity section.
curl --request GET \
--url https://api.ropes.ai/api/public/results/{interviewId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.ropes.ai/api/public/results/{interviewId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ropes.ai/api/public/results/{interviewId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ropes.ai/api/public/results/{interviewId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ropes.ai/api/public/results/{interviewId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ropes.ai/api/public/results/{interviewId}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ropes.ai/api/public/results/{interviewId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"candidate_id": "<string>",
"interview_id": "<string>",
"score": 123,
"analysis": [
{
"key": "<string>",
"name": "<string>",
"score": 123,
"explanation": "<string>"
}
],
"completed_at": "2023-11-07T05:31:56Z",
"integrity_report": {
"risk": "low",
"explanation": "<string>",
"flags": [
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"level": "critical"
}
],
"passing_flags": [
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"level": "critical"
}
]
},
"completion_time_seconds": 123,
"problem_id": "<string>",
"settings": {
"external_resource_mode": "CLOSED",
"spoken_locale": "en"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Authorizations
Path Parameters
The unique identifier of the interview
Response
Successfully retrieved interview results
Identifier of the candidate
Identifier of the interview
The aggregate score for the interview (0-100). Null when the interview is an ungraded video screening.
Detailed analysis broken down by dimension. Null when the interview is an ungraded video screening.
Show child attributes
Show child attributes
ISO 8601 timestamp when the interview was completed
Fraud detection and integrity analysis, including the per-check integrity flags.
Show child attributes
Show child attributes
Time taken to complete the interview in seconds
Identifier of the problem/question
Assessment settings in effect when the candidate took it. These can differ from the problem's current settings.
Show child attributes
Show child attributes